Bug 3713 - i18n does not build on HP-UX/IA-64 platform
: i18n does not build on HP-UX/IA-64 platform
Status: RESOLVED FIXED
: Toolkit Internals
globus_common
: 4.0.0
: IA64 HP-UX
: P3 normal
: 4.0.2
Assigned To:
:
:
:
: 3234
  Show dependency treegraph
 
Reported: 2005-08-31 10:51 by
Modified: 2006-04-18 10:58 (History)


Attachments
patch against i18n/source/ltconfig file (5.63 KB, patch)
2005-08-31 10:53, Chris Wilk
Details
patch against icu4c/pkgdata/pkg_data_src.gpt.in file (1.51 KB, patch)
2005-08-31 11:36, Chris Wilk
Details
patch against icu4c/pkgdata/pkg_data_src.gpt.in file (1.64 KB, patch)
2005-09-01 10:36, Chris Wilk
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-08-31 10:51:29
During work on #3234 it turned out that i18n did not build.

There are two closely related modules: 'icu4c' and 'i18n'. Build of the latter
is dependant on the proper build of the former.

There are two kinds of problems related to this bug:
- auto tools unaware of ia64-hp-hpux11.22 platform (occurred in i18n module)
- auto tools having problems with 64bit options and HP-UX/IA-64 changes
(occurred in icu4c module)
------- Comment #1 From 2005-08-31 10:53:16 -------
Created an attachment (id=679) [details]
patch against i18n/source/ltconfig file

This patch has not been tested yet. 
For testing it needs proper build of icu4c module beforehand.
------- Comment #2 From 2005-08-31 11:36:36 -------
Created an attachment (id=680) [details]
patch against icu4c/pkgdata/pkg_data_src.gpt.in file

This is the patch which seem to work for me. I have not tested it together with
i18n patch yet.
------- Comment #3 From 2005-09-01 10:36:17 -------
Created an attachment (id=681) [details]
patch against icu4c/pkgdata/pkg_data_src.gpt.in file

This is a modified and simplified version of the patch against icu4c (patch
680). It was positively tested with icu4c and i18n (with patch 679).

Build of icu4c and i18n is a hack:
- set Globus flavor to vendorcc32 (on HP-UX/IA-64)
- modify gpt-3.2-autotools2004 to contain globus_core-4.28.tar.gz (or newer)
- build globus_core (make globus_core)
- inspect $GLOBUS_LOCATION/etc/globus_core/flavor_vendorcc32.gpt file
- if CXXFLAGS contains "-Ae" flag, remove it
- if LDFLAGS cotains "-Ae" flag, remove it
- continue build ('make globus_icu4c' or 'make globus_i18n')
------- Comment #4 From 2005-09-08 11:24:29 -------
Tech Coordinator,

We would like to commit this patch to CVS (globus_4_0_branch and HEAD). We would
do some simple testing after the commit, like testing on HPUX and one Linux
platform.

Please let us know if you have any concerns about the patch.

Thanks!
------- Comment #5 From 2005-09-08 13:50:11 -------
I don't think that I am technically the technology coordinator for i18n (I'm
not
sure that there is one, specifically--I think it is considered to be a subset
of
common).  I am, however, the person best versed in our i18n implementation, so
I'll comment.

The patch against icu4c/pkgdata/pkg_data_src.gpt.in looks fine.
The patch against i18n/source/ltconfig looks fine, but brings up the question
of
why the globus_i18n package has its own ltconfig file to begin with--this is
probably a mistake, and I would rather fix it right than patch a mistake.

Thus, I will look into why the globus_i18n package is different from all other
globus packages.  My suspicion is that there is no reason for globus_i18n to
have its own ltconfig, and that, once fixed, there shouldn't need to be any
special patches to the globus_i18n package for hp-ux (as globus_core is
supposed
to handle all of that for us).


My only concern is with the comments from Chris Wilk about editing the
$GLOBUS_LOCATION/etc/globus_core/flavor_vendorcc32.gpt file.  Is this something
that will be fixed by a patch to core?
------- Comment #6 From 2005-09-08 13:57:01 -------
globus_core has been fixed in both globus_4_0_branch and HEAD.
------- Comment #7 From 2005-09-08 17:08:09 -------
Looking at the globus_i18n package, I see that it does, in fact have a
ltconfig.

However, in a normal build, I do not believe it is ever used for anything.
The libtool-<flavor> from core is used.  In fact, the same ltmain.sh is
generated in the build process whether ltconfig is present or not

So what is the patch to ltconfig supposed to accomplish?
------- Comment #8 From 2005-09-09 06:06:08 -------
Patch against i18n/source/ltconfig file originates from attachment 595 [details] (bug
#3234). 
I am not sure if it is really needed. I only remember I used it during tests of
i18n as a standalone modules (not as a part of GT4).
------- Comment #9 From 2005-10-19 15:15:55 -------
pkg_data_src.gpt.in fix commited to globus_4_0_branch and head.

I'm not going to commit the ltconfig part until somebody reopens this bug, and
shows why it is needed.